<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetBankWireDirectAsync("payin_m_01J3CZ2Y7V37TRNMD55AAA2J2A");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "payin_m_01JFAJSSR3VW3SHX2X74C8GW82",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1734448310,
"ResultCode": null,
"ResultMessage": null,
"AuthorId": "user_m_01JCQYJNHFPENP1SKTCBYER0F8",
"CreditedUserId": "user_m_01JCQYJNHFPENP1SKTCBYER0F8",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 62789
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 54963
},
"Fees": {
"Currency": "EUR",
"Amount": 7826
},
"Status": "CREATED",
"ExecutionDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01JFAJS7838A32W7KPJ7NNGJ1D",
"DebitedWalletId": null,
"PaymentType": "BANK_WIRE",
"ExecutionType": "DIRECT",
"DeclaredDebitedFunds": {
"Currency": "EUR",
"Amount": 62789
},
"DeclaredFees": {
"Currency": "EUR",
"Amount": 7826
},
"WireReference": "MGgq1y8jjb",
"BankAccount": {
"OwnerAddress": {
"AddressLine1": "2 Avenue Amélie",
"AddressLine2": null,
"City": "Luxembourg",
"Region": null,
"PostalCode": "L-1125",
"Country": "LU"
},
"Type": "IBAN",
"OwnerName": "MANGOPAY SA",
"IBAN": "FR7630056009271234567890182",
"BIC": "CCFRFRPPXXX"
},
"TransactionDetails": [
{
"BankTransactionDomainCode": "PMNT",
"BankTransactionDomainFamilyCode": "RCDT",
"BankTransactionDomainSubFamilyCode": null,
"References": [
{
"Type": "EndToEndId",
"Value": "AAB.123.EU.ABC-00012345"
}
],
"DebtorName": "Example Business Services GmbH",
"DebtorAccount": "DE95500400007892074911",
"DebtorAgent": "COBADEFFXXX",
"DebtorAddressLine1": null,
"DebtorAddressLine2": null,
"DebtorAddressLine3": null,
"RemittanceInformationLine1": "MG12AB34CD",
"RemittanceInformationLine2": "/SABF/9URQ",
"RemittanceInformationLine3": null,
"RemittanceInformationLine4": null
}
]
}
Bank wires
View a PayIn (Bank Wire)
GET
/
v2.01
/
{ClientId}
/
payins
/
{PayInId}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetBankWireDirectAsync("payin_m_01J3CZ2Y7V37TRNMD55AAA2J2A");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "payin_m_01JFAJSSR3VW3SHX2X74C8GW82",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1734448310,
"ResultCode": null,
"ResultMessage": null,
"AuthorId": "user_m_01JCQYJNHFPENP1SKTCBYER0F8",
"CreditedUserId": "user_m_01JCQYJNHFPENP1SKTCBYER0F8",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 62789
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 54963
},
"Fees": {
"Currency": "EUR",
"Amount": 7826
},
"Status": "CREATED",
"ExecutionDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01JFAJS7838A32W7KPJ7NNGJ1D",
"DebitedWalletId": null,
"PaymentType": "BANK_WIRE",
"ExecutionType": "DIRECT",
"DeclaredDebitedFunds": {
"Currency": "EUR",
"Amount": 62789
},
"DeclaredFees": {
"Currency": "EUR",
"Amount": 7826
},
"WireReference": "MGgq1y8jjb",
"BankAccount": {
"OwnerAddress": {
"AddressLine1": "2 Avenue Amélie",
"AddressLine2": null,
"City": "Luxembourg",
"Region": null,
"PostalCode": "L-1125",
"Country": "LU"
},
"Type": "IBAN",
"OwnerName": "MANGOPAY SA",
"IBAN": "FR7630056009271234567890182",
"BIC": "CCFRFRPPXXX"
},
"TransactionDetails": [
{
"BankTransactionDomainCode": "PMNT",
"BankTransactionDomainFamilyCode": "RCDT",
"BankTransactionDomainSubFamilyCode": null,
"References": [
{
"Type": "EndToEndId",
"Value": "AAB.123.EU.ABC-00012345"
}
],
"DebtorName": "Example Business Services GmbH",
"DebtorAccount": "DE95500400007892074911",
"DebtorAgent": "COBADEFFXXX",
"DebtorAddressLine1": null,
"DebtorAddressLine2": null,
"DebtorAddressLine3": null,
"RemittanceInformationLine1": "MG12AB34CD",
"RemittanceInformationLine2": "/SABF/9URQ",
"RemittanceInformationLine3": null,
"RemittanceInformationLine4": null
}
]
}
Note – Pay-in data retained for 13 monthsAn API call to retrieve a pay-in whose
CreationDate is older than 13 months may return 404 Not Found.For more information, see the Data availability periods article.Path parameters
string
required
The unique identifier of the pay-in.
Responses
200
200
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
string
The unique identifier of the user at the source of the transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Information about the debited funds.For a direct bank wire pay-in, the
DebitedFunds displays placeholder values (currency XXX and amount 0) until the Status changes to SUCCEEDED.Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).For a direct bank wire pay-in, the CreditedFunds displays placeholder values (currency XXX and amount 0) until the Status changes to SUCCEEDED.Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).For a direct bank wire pay-in, the
Fees displays placeholder values (currency XXX and amount 0) until the Status changes to SUCCEEDED.Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
The unique identifier of the debited wallet.In the case of a pay-in, this value is always
null since there is no debited wallet.string
Returned values:
CARD, DIRECT_DEBIT, PREAUTHORIZED, BANK_WIREThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.object
Information about the declared funds to be wired by the end user to the returned bank account.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees to be taken by the platform for this transaction (and hence transferred to the Fees Wallet).
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Max. length: 255 charactersThe reference which the end user must provide when making the bank wire. The
WireReference is used to reconcile the funds that arrive on the bank account with the DeclaredDebitedFunds in the Direct Bank Wire PayIn object.Caution: This reference is specific to each payment and must be retrieved dynamically.object
Information about the bank account to which the bank wire must be made by the end user.Caution: Do not hardcode the returned values. Mangopay may change the underlying bank details without prior notice.
Show properties
Show properties
object
Information about the address of residence of the bank account owner.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
string
Returned values:
IBAN, US, CA, GB, OTHERThe type of the bank account.string
Max. length: 255 charactersThe full name of the owner of the bank account.
string
The IBAN (international bank account number) for the bank account.
string
The BIC (international identifier of the bank) for the bank account.
array (object)
Information received from banking partners for the transaction, based on the cash management (Camt) messages of ISO 20022.This information is only returned when the pay-in
Status becomes SUCCEEDED.If data is not available then an empty array, null, or nulled fields are returned.If multiple wire payments are received for a single pay-in, then multiple objects are returned.Show properties
Show properties
string
Max. length: 50 charactersThe bank transaction domain code (e.g. PMNT).
string
Max. length: 50 charactersThe bank transaction domain family code (e.g. ICDT).
string
Max. length: 50 charactersThe domain sub-family code (e.g. ACDT).
array (object)
string
Max. length: 100 charactersThe name of the debtor (i.e. the registered owner of the account that was debited).
string
Max. length: 50 charactersThe account identifier of the debtor (e.g. the account number).
string
Max. length: 50 charactersThe agent of the debtor (e.g. the BIC or bank code).
string
Max. length: 500 charactersThe first line of the debtor’s address.
string
Max. length: 500 charactersThe second line of the debtor’s address.
string
Max. length: 500 charactersThe third line of the debtor’s address.
string
Max. length: 1,000 charactersRemittance information for the transaction.
string
Max. length: 1,000 charactersRemittance information for the transaction.
string
Max. length: 1,000 charactersRemittance information for the transaction.
string
Max. length: 1,000 charactersRemittance information for the transaction.
{
"Id": "payin_m_01JFAJSSR3VW3SHX2X74C8GW82",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1734448310,
"ResultCode": null,
"ResultMessage": null,
"AuthorId": "user_m_01JCQYJNHFPENP1SKTCBYER0F8",
"CreditedUserId": "user_m_01JCQYJNHFPENP1SKTCBYER0F8",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 62789
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 54963
},
"Fees": {
"Currency": "EUR",
"Amount": 7826
},
"Status": "CREATED",
"ExecutionDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01JFAJS7838A32W7KPJ7NNGJ1D",
"DebitedWalletId": null,
"PaymentType": "BANK_WIRE",
"ExecutionType": "DIRECT",
"DeclaredDebitedFunds": {
"Currency": "EUR",
"Amount": 62789
},
"DeclaredFees": {
"Currency": "EUR",
"Amount": 7826
},
"WireReference": "MGgq1y8jjb",
"BankAccount": {
"OwnerAddress": {
"AddressLine1": "2 Avenue Amélie",
"AddressLine2": null,
"City": "Luxembourg",
"Region": null,
"PostalCode": "L-1125",
"Country": "LU"
},
"Type": "IBAN",
"OwnerName": "MANGOPAY SA",
"IBAN": "FR7630056009271234567890182",
"BIC": "CCFRFRPPXXX"
},
"TransactionDetails": [
{
"BankTransactionDomainCode": "PMNT",
"BankTransactionDomainFamilyCode": "RCDT",
"BankTransactionDomainSubFamilyCode": null,
"References": [
{
"Type": "EndToEndId",
"Value": "AAB.123.EU.ABC-00012345"
}
],
"DebtorName": "Example Business Services GmbH",
"DebtorAccount": "DE95500400007892074911",
"DebtorAgent": "COBADEFFXXX",
"DebtorAddressLine1": null,
"DebtorAddressLine2": null,
"DebtorAddressLine3": null,
"RemittanceInformationLine1": "MG12AB34CD",
"RemittanceInformationLine2": "/SABF/9URQ",
"RemittanceInformationLine3": null,
"RemittanceInformationLine4": null
}
]
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetBankWireDirectAsync("payin_m_01J3CZ2Y7V37TRNMD55AAA2J2A");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?